/** 
 * XMLSec library
 *
 * XPath and Enveloped Signature transforms
 * 
 * See Copyright for the status of this software.
 * 
 * Author: Aleksey Sanin <aleksey@aleksey.com>
 */
#ifndef __XMLSEC_XPATH_H__
#define __XMLSEC_XPATH_H__    

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */ 

#include <libxml/tree.h>
#include <libxml/xpath.h>

#include <xmlsec/algorithms.h>
#include <xmlsec/transforms.h>


xmlNodeSetPtr		xmlSecXPathTransformExecute	(xmlDocPtr ctxDoc,
							 xmlNodePtr ctxNode,
							 xmlDocPtr doc,
							 xmlNodeSetPtr nodes,
							 const xmlChar* dsigNsHref);

xmlNodeSetPtr		xmlSecEnvSignTransformExecute	(xmlDocPtr ctxDoc,
							 xmlNodePtr ctxNode,
							 xmlDocPtr doc,
							 xmlNodeSetPtr nodes,
							 const xmlChar* dsigNsHref);
#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XMLSEC_XPATH_H__ */

